### Method

# Clutter Actor insert_child_at_index

#### Declaration [src]

    void
    clutter_actor_insert_child_at_index (
      ClutterActor* self,
      ClutterActor* child,
      gint index_
    )

#### Description [src]

Inserts `child` into the list of children of `self`, using the given `index_`. If `index_` is greater than the number of children in `self`, or is less than 0, then the new child is added at the end.

This function will acquire a reference on `child` that will only be released when calling `clutter_actor_remove_child()`.

This function will not take into consideration the depth of `child`.

This function will emit the `ClutterActor::child-added` signal on `self`.

#### Parameters

`child`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the method.

`index_`

  Type: `gint`

  The index.